org.eclipse.january.metadata

## Interface OriginMetadata

- All Superinterfaces:
    Cloneable, DimensionMetadata, MetadataType, Serializable

      public interface OriginMetadata
      extends DimensionMetadata

  Defines the origin of a dataset which is a slice of a parent dataset

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDatasetName()`
    `String` | `getFilePath()`
    `ILazyDataset` | `getParent()`
    `Slice[]` | `getSliceFromInput()` The starting slice
    `Slice[]` | `getSliceInOutput()` Current slice information.
    `void` | `initialize(ILazyDataset parent, Slice[] outSlice, int[] dataDims, String filePath, String datasetName)` Initialize origin of dataset

    - ### Methods inherited from interface org.eclipse.january.metadata.DimensionMetadata

      `getDataChunkDimensions, getDataDimensions, getDataMaxDimensions, initialize`

    - ### Methods inherited from interface org.eclipse.january.metadata.MetadataType

      `clone`

- - ### Method Detail

    - #### initialize

          void initialize(ILazyDataset parent,
                        Slice[] outSlice,
                        int[] dataDims,
                        String filePath,
                        String datasetName)

      Initialize origin of dataset
      Parameters:
        `parent` -
        `outSlice` -
        `dataDims` -
        `filePath` -
        `datasetName` -

    - #### getParent

          ILazyDataset getParent()

      Returns:
        ILazyDataset

    - #### getSliceFromInput

          Slice[] getSliceFromInput()

      The starting slice
      Returns:
        the initial slice

    - #### getDatasetName

          String getDatasetName()

      Returns:
        name of dataset

    - #### getFilePath

          String getFilePath()

      Returns:
        file path

    - #### getSliceInOutput

          Slice[] getSliceInOutput()

      Current slice information.
      Returns:
        the current slice.

Copyright © 2017. All rights reserved.